### Method

# Vips Image spectrum

#### Declaration [src]

    int
    vips_spectrum (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Make a displayable (ie. 8-bit unsigned int) power spectrum.

If `in` is non-complex, it is transformed to Fourier space. Then the absolute value is passed through `vips_scale()` in log mode, and `vips_wrap()`.

See also

`vips_fwfft()`, `vips_scale()`, `vips_wrap()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.